package kr.co.vividnext.sodalive.settings.notice

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import java.util.TimeZone

class NoticeRepository(private val api: NoticeApi) {
    fun getNotices(
        page: Int,
        size: Int,
        token: String
    ): Single<ApiResponse<GetNoticeResponse>> {
        return api.getNotices(TimeZone.getDefault().id, page, size, authHeader = token)
    }
}
